Package mvpa :: Package support :: Module stats

[hide private]
[frames] | no frames]

# Module stats

source code

Fixer for rdist in scipy

Classes | [hide private]

| rdist_gen

Functions | [hide private]

ppf7(self, q, *args, **kwds) Percent point function (inverse of cdf) at q of the given RV | source code

Variables | [hide private]

| rdist = `rdist_gen(a=-1.0, b= 1.0, name= "rdist", longname= "An`...``
| arr = `N.asarray`

Imports: externals, warning, cfg, debug, stats, N, rv_continuous, special, scipy, valarray, argsreduce, shape, place, any

Function Details | [hide private]

### ppf7(self, q, *args, **kwds)

source code

Percent point function (inverse of cdf) at q of the given RV

Parameters:
  - `q` (array-like) - lower tail probability
  - `arg1`, `arg2`, `arg3`, `...` - The shape parameter(s) for the distribution (see docstring of the instance object for more information)
  - `loc` (array-like, optional) - location parameter (default=0)
Returns:
  k : array-like
    quantile corresponding to the lower tail probability, q.

Variables Details | [hide private]

### rdist

Value:

      rdist_gen(a=-1.0, b= 1.0, name= "rdist", longname= "An R-distributed",
       shapes= "c", extradoc= """

          R-distribution

          rdist.pdf(x,c) = (1-x**2)**(c/2-1) / B(1/2, c/2)
          for -1 <= x <= 1, c > 0.
          """)